/2015-01-01/es/reservedInstanceOfferings
http://es.{region}.amazonaws.com/2015-01-01/es/reservedInstanceOfferingsLists available reserved Elasticsearch instance offerings.
Query Params
The offering identifier filter value. Use this parameter to show only the available offering that matches the specified reservation identifier.
Set this value to limit the number of results returned. If not specified, defaults to 100.
NextToken should be sent in case if earlier API call produced result containing NextToken. It is used for pagination.
Pagination limit
Pagination token
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://es.{region}.amazonaws.com/2015-01-01/es/reservedInstanceOfferings' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}